std::experimental::fundamentals_v2::_Not_fn< _Fn > Class Template Reference

## Public Member Functions

template<typename _Fn2 >
| _Not_fn (_Fn2 &&__fn, int)
| _Not_fn (const _Not_fn &__fn)=default
| _Not_fn (_Not_fn &&__fn)=default
template<typename... _Args>
auto | operator() (_Args &&... __args) noexcept(noexcept(!_M_fn(std::forward< _Args >(__args)...))) -> decltype(!_M_fn(std::forward< _Args >(__args)...))
template<typename... _Args>
auto | operator() (_Args &&... __args) const noexcept(noexcept(!_M_fn(std::forward< _Args >(__args)...))) -> decltype(!_M_fn(std::forward< _Args >(__args)...))
template<typename... _Args>
auto | operator() (_Args &&... __args) volatile noexcept(noexcept(!_M_fn(std::forward< _Args >(__args)...))) -> decltype(!_M_fn(std::forward< _Args >(__args)...))
template<typename... _Args>
auto | operator() (_Args &&... __args) const volatile noexcept(noexcept(!_M_fn(std::forward< _Args >(__args)...))) -> decltype(!_M_fn(std::forward< _Args >(__args)...))
_Not_fn & | operator= (const _Not_fn &__fn)=default
_Not_fn & | operator= (_Not_fn &&__fn)=default

## Detailed Description

### template<typename _Fn>
class std::experimental::fundamentals_v2::_Not_fn< _Fn >

Generalized negator.

Definition at line 383 of file experimental/functional.

The documentation for this class was generated from the following file:

- experimental/functional